
#line 3 "RenameAdapter.cs"
using System;
using System.Text;
using System.Threading;
using System.Reflection;
using System.Diagnostics;
using System.Collections.Generic;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;

using aries.Base;
using aries.runtime;
using aries.lang.record;
using aries.runtime.tracer;
using aries.runtime.tracer.impl;

[assembly: System.Security.AllowPartiallyTrustedCallers]

// TargetFramework: 4.0
public class ServiceAdapter : aries.runtime.IAdapterService
{
    public ServiceAdapter()
    {
    }

    public bool reject(String serviceName, aries.Base.Parameter arg)
    {
        return false;
    }

    public bool rboolean(Object stat)
    {
        return false;
    }

    public int rint(Object stat)
    {
        return 0;
    }

    public Object rObject(Object stat)
    {
        return null;
    }

    public void start(String serviceName, aries.Base.Parameter args, Object activeObject)
    {
#if ISNET40
        ActiveObject o = activeObject as ActiveObject;
        if (o == null)
        {
            return;
        }

        if (args == null || args.size() == 0)
        {
            return;
        }

        string newServiceName = null;

        try
        {
            object firstArg = args.get(0);
            if (firstArg == null)
            {
                return;
            }

            dynamic typedArg = firstArg;

            switch (serviceName)
            {
                case "/Test/CallServices.svc/basicHttpBinding/GetMyData":
                    newServiceName = serviceName + "/" + typedArg.Text;
                    break;
            }
        } catch { }

        if (string.IsNullOrEmpty(newServiceName) == true)
        {
            return;
        }

        o.ServiceName = newServiceName;
#endif
    }

    public void end(Object rtn, Object activeObject, Exception tw)
    {
    }

    public void interceptServicePerformance(Object xvpoint)
    {
    }
}