
@echo off

if '%1' == '' (
    goto HowToUse
)

FOR /F "delims=;" %%I IN ("%0") DO SET CURRENTDIR=%%~dpI

SET CSCNAME=csc.exe
SET ARIESDLLPATH=%CURRENTDIR%..\bin\aries.dll
SET CSCPATH=%SystemRoot%\Microsoft.NET\Framework\v4.0.30319\%CSCNAME%

if exist %CSCPATH% (
    echo .NET 4.0 C# compiler
    goto SkipNetCompilerCheck
) else (
    goto NotFoundCompiler
)

:SkipNetCompilerCheck

SET TARGETFILE=%1
if exist %TARGETFILE% (
    echo Compiling: %1    
) else (
    goto NotFoundTarget
)

%CSCPATH% /platform:anycpu /target:library %TARGETFILE% /r:"%ARIESDLLPATH%" @user.rsp

if %ERRORLEVEL% GTR 0 goto CompileError

SET "string=%1"
SET "dllFileName=%string:.cs=.dll%"
del %dllFileName%

goto VerificationSuccess

:NotFoundCompiler
echo ERROR - No C# Compiler
goto VerificationEnd

:NotFoundTarget
echo NOT FOUND - %1
goto VerificationEnd

:HowToUse
echo verify_script.bat [C# file path]
goto VerificationEnd

:CompileError
goto VerificationEnd

:VerificationSuccess
echo Verified successfully!

:VerificationEnd

